<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myContainerLabel" jhiTranslate="mpmApp.container.home.createOrEditLabel">Create or edit a Container</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!container.idContainer">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="container.idContainer" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.container.containerCode" for="field_containerCode">Container Code</label>
                    <input type="text" class="form-control" name="containerCode" id="field_containerCode"
                        [(ngModel)]="container.containerCode" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.container.description" for="field_description">Description</label>
                    <input type="text" class="form-control" name="description" id="field_description"
                        [(ngModel)]="container.description" />
                </div>

                <div class="form-group" *ngIf="idFacility === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.container.facility" for="field_facility">Facility</label>
                    <select class="form-control" id="field_facility" name="facility" [(ngModel)]="container.facilityId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="facilityOption.idFacility" *ngFor="let facilityOption of facilities; trackBy: trackFacilityById">{{facilityOption.description}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idContainerType === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.container.containerType" for="field_containerType">Container Type</label>
                    <select class="form-control" id="field_containerType" name="containerType" [(ngModel)]="container.containerTypeId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="containerTypeOption.idContainerType" *ngFor="let containerTypeOption of containertypes; trackBy: trackContainerTypeById">{{containerTypeOption.description}}</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="!container.facilityId || !container.containerTypeId"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
